Skip to content
Start here

List application categories

client.zeroTrust.resourceLibrary.categories.list(CategoryListParams { account_id, limit, offset } params, RequestOptionsoptions?): SinglePage<CategoryListResponse { id, created_at, description, name } >
GET/accounts/{account_id}/resource-library/categories

List application categories.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
params: CategoryListParams { account_id, limit, offset }
account_id: string

Path param: Account ID.

limit?: number

Query param: Limit of number of results to return.

offset?: number

Query param: Offset of results to return.

ReturnsExpand Collapse
CategoryListResponse { id, created_at, description, name }
id: string

Returns the category ID.

created_at: string

Returns the category creation time.

description: string

Returns the category description.

name: string

Returns the category name.

List application categories

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const categoryListResponse of client.zeroTrust.resourceLibrary.categories.list({
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
})) {
  console.log(categoryListResponse.id);
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "12345678-1234-1234-1234-123456789012",
      "created_at": "2025-01-01T00:00:00Z",
      "description": "Category description",
      "name": "Category name"
    }
  ]
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "12345678-1234-1234-1234-123456789012",
      "created_at": "2025-01-01T00:00:00Z",
      "description": "Category description",
      "name": "Category name"
    }
  ]
}